# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2016-10-01 18:49
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AttendanceRecord',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='Belt',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveIntegerField(unique=True)),
                ('name', models.CharField(blank=True, max_length=25, null=True)),
                ('num_strips', models.PositiveIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Email',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name='EmergencyContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('relation', models.CharField(blank=True, max_length=30, null=True)),
                ('phone_number', models.CharField(blank=True, max_length=10, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Instructor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(blank=True, max_length=30, null=True)),
                ('last_name', models.CharField(blank=True, max_length=30, null=True)),
                ('dob', models.DateField(blank=True, null=True)),
                ('primary_phone', models.CharField(blank=True, max_length=10, null=True)),
                ('secondary_phone', models.CharField(blank=True, max_length=10, null=True)),
                ('street', models.CharField(blank=True, max_length=30, null=True)),
                ('city', models.CharField(blank=True, max_length=30, null=True)),
                ('zipcode', models.CharField(blank=True, max_length=6, null=True)),
                ('state', models.CharField(blank=True, max_length=2, null=True)),
                ('stripes', models.PositiveIntegerField(blank=True, null=True)),
                ('extra_strips', models.PositiveIntegerField(blank=True, null=True)),
                ('misc_notes', models.CharField(blank=True, max_length=1000, null=True)),
                ('active', models.BooleanField(default=True)),
                ('belt', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Belt')),
            ],
        ),
        migrations.CreateModel(
            name='Picture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filepath', models.CharField(max_length=255)),
                ('person', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Person')),
            ],
        ),
        migrations.CreateModel(
            name='Program',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Registration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Person')),
                ('program', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Program')),
            ],
        ),
        migrations.AddField(
            model_name='instructor',
            name='person',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Person'),
        ),
        migrations.AddField(
            model_name='instructor',
            name='program',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Program'),
        ),
        migrations.AddField(
            model_name='emergencycontact',
            name='person',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Person'),
        ),
        migrations.AddField(
            model_name='email',
            name='person',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Person'),
        ),
        migrations.AddField(
            model_name='attendancerecord',
            name='person',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Person'),
        ),
        migrations.AddField(
            model_name='attendancerecord',
            name='program',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ttkd_api.Program'),
        ),
    ]
